McEliecePublicKey (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.pqc.asn1

## Class McEliecePublicKey

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.pqc.asn1.McEliecePublicKey

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class McEliecePublicKey
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `McEliecePublicKey(ASN1ObjectIdentifier oid, int n, int t, GF2Matrix g)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GF2Matrix` | `getG()`
    `static McEliecePublicKey` | `getInstance(java.lang.Object o)`
    `int` | `getN()`
    `ASN1ObjectIdentifier` | `getOID()`
    `int` | `getT()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### McEliecePublicKey

          public McEliecePublicKey(ASN1ObjectIdentifier oid,
                           int n,
                           int t,
                           GF2Matrix g)

  - ### Method Detail

    - #### getOID

          public ASN1ObjectIdentifier getOID()

    - #### getN

          public int getN()

    - #### getT

          public int getT()

    - #### getG

          public GF2Matrix getG()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.

    - #### getInstance

          public static McEliecePublicKey getInstance(java.lang.Object o)